﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="ScrollingToItem.aspx.cs"
	Inherits="Rotator_ScrollingToItem" %>

<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<title></title>
	<style type="text/css">
		.pagination
		{
			position: absolute;
			left: 129px;
			top: 178px;
		}
	</style>
</head>
<body>
	<form id="form1" runat="server">
	<telerik:RadScriptManager ID="theScriptManager" runat="server" />
	<telerik:RadRotator ID="theRotator" runat="server" Width="300" ItemWidth="300" Height="220"
		ItemHeight="220" RotatorType="FromCode" ScrollDuration="400" PauseOnMouseOver="false"
		OnClientLoad="OnClientLoad" OnClientItemShowing="ItemShowning">
		<ItemTemplate>
			<asp:Image ID="Image1" runat="server" SlideID='<%# Eval("id") %>' ImageUrl='<%# Eval("image") %>'
				AlternateText='<%# VirtualPathUtility.GetFileName(Eval("image").ToString()) %>' />
		</ItemTemplate>
		<SlideShowAnimation Duration="2000" Type="Fade" />
	</telerik:RadRotator>
	<div id="buttons" class="pagination">
		<a href="javascript: selectItem(0)">1</a> <a href="javascript: selectItem(1)">2</a>
		<a href="javascript: selectItem(2)">3</a> <a href="javascript: selectItem(3)">4</a>
		<a href="javascript: selectItem(4)">5</a> <a href="javascript: selectItem(5)">6</a>
	</div>
	</form>
	<script type="text/javascript">
		function selectItem(index) {
			var rotator = getRotator();
			stopRotator(rotator);  // stops the sliding animation
			rotator.set_currentItemIndex(index); // sets the current item
			MarkPage(index); // marks the current item on the page numbers
			startRotator(rotator);  // starts the sliding animation
		}

		function ItemShowning(sender, args) {
			var currentIndex = args.get_item().get_index();
			var nextIndex = currentIndex < 5 ? currentIndex + 1 : 0;
			MarkPage(nextIndex);
		}

		function getRotator() {
			return $find("<%= theRotator.ClientID %>");
		}

		function MarkPage(index) {
			$telerik.$("#buttons a").css("color", "Blue");
			var pages = $get("buttons").getElementsByTagName("a");
			pages[index].style.color = "Black";
		}

		function startRotator(rotator) {
			if (!rotator.autoIntervalID) {
				rotator.autoIntervalID = window.setInterval(function () {
					rotator.showNext(Telerik.Web.UI.RotatorScrollDirection.Left);
					rotator.runSlideShowAnimation();
				}, rotator.get_frameDuration());
			}
		}

		function stopRotator(rotator) {
			if (rotator.autoIntervalID) {
				window.clearInterval(rotator.autoIntervalID);
				rotator.autoIntervalID = null;
			}
		}

		function OnClientLoad(sender, args) {
			MarkPage(0);
			sender.set_rotatorType(Telerik.Web.UI.RotatorType.SlideShowButtons);
			startRotator(sender);
		}
	</script>
</body>
</html>
